com.io7m.jtensors.bytebuffered

## Class ByteBuffered

- java.lang.Object
- - com.io7m.jtensors.bytebuffered.ByteBuffered

- All Implemented Interfaces:
    ByteBufferedType
  Direct Known Subclasses:
    MatrixByteBufferedM2x2D, MatrixByteBufferedM2x2F, MatrixByteBufferedM3x3D, MatrixByteBufferedM3x3F, MatrixByteBufferedM4x4D, MatrixByteBufferedM4x4F, PMatrixByteBufferedM3x3D, PMatrixByteBufferedM3x3F, PMatrixByteBufferedM4x4D, PMatrixByteBufferedM4x4F, PVectorByteBufferedM2D, PVectorByteBufferedM2F, PVectorByteBufferedM2I, PVectorByteBufferedM2L, PVectorByteBufferedM3D, PVectorByteBufferedM3F, PVectorByteBufferedM3I, PVectorByteBufferedM3L, PVectorByteBufferedM4D, PVectorByteBufferedM4F, PVectorByteBufferedM4I, PVectorByteBufferedM4L, QuaternionByteBufferedM4D, QuaternionByteBufferedM4F, VectorByteBufferedM2D, VectorByteBufferedM2F, VectorByteBufferedM2I, VectorByteBufferedM2L, VectorByteBufferedM3D, VectorByteBufferedM3F, VectorByteBufferedM3I, VectorByteBufferedM3L, VectorByteBufferedM4D, VectorByteBufferedM4F, VectorByteBufferedM4I, VectorByteBufferedM4L

      public abstract class ByteBuffered
      extends Object
      implements ByteBufferedType

  The base of byte-buffered types.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ByteBuffered(AtomicLong in_base, int in_offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getByteOffset()`
    `protected long` | `getIndex()`
    `protected int` | `getOffset()`
    `protected void` | `setBase(long in_base)`
    `void` | `setByteOffset(long b)` Set the base byte offset of this value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBuffered

          protected ByteBuffered(AtomicLong in_base,
                                 int in_offset)

  - ### Method Detail

    - #### getByteOffset

          public final long getByteOffset()

      Specified by:
        `getByteOffset` in interface `ByteBufferedType`
      Returns:
        The base byte offset of this value

    - #### setByteOffset

          public final void setByteOffset(long b)

      Description copied from interface: `ByteBufferedType`

      Set the base byte offset of this value.

      Must be non-negative.

      Specified by:
        `setByteOffset` in interface `ByteBufferedType`
      Parameters:
        `b` - The offset in bytes

    - #### getOffset

          protected final int getOffset()

    - #### getIndex

          protected final long getIndex()

    - #### setBase

          protected final void setBase(long in_base)

Copyright © 2015 <code@io7m.com> http://io7m.com